apiVersion: apps/v1
kind: Deployment
metadata:
  name: operator-controller-manager
  namespace: system
spec:
  template:
    spec:
      containers:
      - name: manager
        args:
        - "--health-probe-bind-address=:8081"
        - "--metrics-bind-address=127.0.0.1:8080"
        - "--leader-elect"
        - "--mode=ConfigMapToConfigMap"
        #- "--mode=ConfigMapToManagerApi"
        - "--base-cm-name=llng-base-config"
        - "--base-cm-namespace=auth"
        - "--target-cm-name=target-cm"
        - "--target-cm-namespace=auth"
        #- "--manager-base-url=http://manager.auth.svc"
